<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../../Conections/$VpnEn.php");
require('../fpdf.php');

$Cve_Modulo = "CMOD201506100195";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3

		
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////

/////Arrastrando Valores
$NoDocSurEn=$_POST['txt_NoDocuSur'] or $NoDocSurEn=$_GET['txt_NoDocuSur'];

class MiPDF extends FPDF {

		public function Header(){
		
		
			$this -> Image ("../../../WMS_Resources/images/Logo_Gris.png" , 10 , 10 , 30 ,15);
			$this -> SetFont ( 'Arial' , 'B', '12');
			$this -> Cell ( 180, 10 , '|| Packing List - Documento Surtido ||' , 0 , 0 , 'C');
			$this -> Ln ( 2 );
			$this -> SetFont ( 'Arial' , 'I', '10');
			$this -> Cell ( 180, 20 , 'www.logsyswms.com' , 0 , 0 , 'C');
			$this -> Ln ( 4 );
			$this -> SetTextColor (137 , 136 , 200);
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 180, 20 , '_______________________________________________________________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 3 );
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 180, 20 , '_____________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 20 );
		}
		
	    function Footer(){
    		// Posición: a 2,0 cm del final
    		$this->SetY(-20);
    		// Arial italic 8
    		$this->SetFont('Arial','I',8);
    		// Número de página
			$this->Cell(0,10,'© MsTechnologies - Pagina '.$this->PageNo().'/{nb}',0,0,'C');
		}
}

	$mipdf = new MiPDF();

	$mipdf -> AliasNbPages();
	$mipdf -> addPage();
	
//////////////////////////////////CONSULTAR LA TABLA DEL CONTRATANTE////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_contratante");
		if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
				$CNomContra=$registro["NOMBRE_FISCAL"];
		}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////CONSULTAR LA TABLA DE DOCUMENTOS////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_docsurtido WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSurEn'");
						
		if (mysql_numrows($sql)==0) 
		{
		echo "<script>alert('El documento de surtido y/o embarque que ingresaste no existe.\\n\\nFavor de corroborarlo.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RedireccionDeCierre.php'>";
		}
		else
		{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CDocu=$registro["NO_DOCUMENTO"];
		$CDesti=$registro["DESTINO"];
		$CFeCrea=$registro["FECHA_CREADO"];
		
		$CTipoExF=$registro["TIPO_EXTRACCION"];
		$CPediExF=$registro["PEDIMENTO_EXTRACCION"];
		
		$NAduanaF = substr($CPediExF, -13,2);///Devuelve la Clave de la Aduana
		}
		
		///Detectar el nombre del encabezado
		if ($CTipoExF =='10') 
			{
				$TitEnca = "LOTEPRO";
			}
		if ($CTipoExF =='20') 
			{
				$TitEnca = "PEDIMENTO DE ING.";
			}
		
		///Consultar Datos Generales
		$sql3 = mysql_query("select NOM_TIPOALMACEN from wms_configura_tipoalmacen where CVE_TIPOALMACEN='$CTipoExF' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql3)==0) echo "";
		else{
		$registro3=mysql_fetch_array($sql3);
		}
		if (mysql_numrows($sql3)>0)
		{
		$NomTipAlm3=$registro3["NOM_TIPOALMACEN"];
		}
		
		$sql4 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas where CVE_ADUANA='$NAduanaF' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql4)==0) 
		{
		$NomAduana4 = "N/A";
		}
		else
		{
		$registro4=mysql_fetch_array($sql4);
		}
		if (mysql_numrows($sql4)>0)
		{
		$NomAduana4=$registro4["NOMBRE_ADUANA"];
		}
		
		///Si no hay datos colocar N/A
		if ($CPediExF=="")
		{
			$CPediExF = "N/A";
		}
		if ($NAduanaF=="")
		{
			$NAduanaF = "N/A";
		}
		
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////CONSULTAR EL NOMBRE DEL DESTINO////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_destinosclientes WHERE CVE_CUENTA='$CveCueCR1' AND CVE_DESTINO='$CDesti'");
		if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CDestiNom=$registro["NOMBRE"];
		}

//////////////////////////INFORMACIÓN PRINCIPAL////////////////////////////////////////////////////////////////
	
	$mipdf -> SetFont ( 'Courier' , '', '8');
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'P. LOGISTICO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CNomContra, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'CUENTA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CtaSesionEn, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , '# DOCUMENTO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $NoDocSurEn, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'TIPO EXTRACCIÓN:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CTipoExF." - ".$NomTipAlm3, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'PEDIMENTO:', 1 , 0 , 'L' , true );			
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CPediExF, 1 , 0 , 'L' , true );
	
	$mipdf -> SetFont ( 'Courier' , 'B', '12');
	$mipdf -> Cell ( 70 , 3 , $NoEtMasEn, 0 , 0 , 'C' , false );
	$mipdf -> SetFont ( 'Courier' , '', '8');
			
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'ADUANA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $NAduanaF." - ".$NomAduana4, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'DESTINO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CDesti, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , '', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CDestiNom, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'FECHA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CFeCrea, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'USUARIO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $UsuEn, 1 , 0 , 'L' , true );

	
//////////////////////////FIN INFORMACIÓN PRINCIPAL///////////////////////////////////////////////////////////	

	$mipdf -> Ln ( 10 );
	$mipdf -> SetFont ( 'Courier' , 'B', '6');
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );

	$mipdf -> Cell ( 8 , 3 , 'ID', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 25 , 3 , 'DOCUMENTO', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 3 , 'MASTER', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 30 , 3 , 'SKU', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 70 , 3 , 'DESCRIPCIÓN', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 20 , 3 , 'LOTE', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 3 , 'CANTIDAD', 1 , 0 , 'C' , true );
	
	$mipdf -> Ln ( 3 );

$consulta = mysql_query ("SELECT * from tabla_auditoriaporsurtido WHERE NO_DOCUMENTO='$NoDocSurEn' AND CVE_CUENTA='$CveCueCR1' ORDER BY ETIQUETA_MASTER ASC");

$ID = "0";
$TOTP = "0";
while ($datos = mysql_fetch_array($consulta))
{
	$ID = $ID + 1;
	$SKU = $datos [ 'SKU' ];
	$DES = $datos [ 'DESCRIPCION' ];
	$LOT = $datos [ 'LOTE' ];
	$CAN = $datos [ 'CANTIDAD_AUDITADA' ];
	$MAS = $datos [ 'ETIQUETA_MASTER' ];
	
	///Calculando el total de piezas
	$TOTP = $TOTP + $CAN;
	
	if ($LOT=="")
		{
			$LOT = "No Aplica";
		}	

	$mipdf -> SetFont ( 'Courier' , '', '7');
	$mipdf -> SetTextColor (51 , 51 , 51 );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	
	$mipdf -> Cell ( 8 , 3 , $ID , 1 , 0 , 'R' , true );
	$mipdf -> Cell ( 25 , 3 , $NoDocSurEn , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 26 , 3 , $MAS , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 30 , 3 , $SKU , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 70 , 3 , $DES , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 20 , 3 , $LOT , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 3 , $CAN , 1 , 0 , 'R' , true );

	$mipdf -> Ln ( 3 );
	
	///Limpiar Variables
	$SKU = "";
	$DESC = "";
	$LOT = "";
}
 


	$mipdf -> Ln ( 0 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 189 , 207 , 233 );
	$mipdf -> SetTextColor (51 , 51 , 51);
	$TDC= "Total: ".$ID;
	$mipdf -> Cell ( 179 , 3 , ' '.$TDC, 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 15, 3 , $TOTP , 0 , 0 , 'R' , true );
	
//////////////////////IMPRIME EL AREA DE FIRMAS///////////////////////////////////////////////////////////////////////////
	$mipdf -> Ln ( 20 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> SetTextColor (51 , 51 , 51);
	
	$mipdf -> Cell ( 47 , 3 , 'NOMBRE Y FIRMA DEL AUDITOR:' , 0 , 0 , 'L' , true );
	
	$mipdf -> SetTextColor (0 , 0 , 0);
	
$mipdf -> Output();

?>
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
